AntiEntropyService.TreeRequest (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AntiEntropyService.TreeRequest

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.TreeRequest

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.TreeRequest

extends java.lang.Object

A tuple of table, cf, address and range that represents a location we have an outstanding TreeRequest for.

Field Summary
`org.apache.cassandra.service.AntiEntropyService.CFPair` | `cf`
`java.net.InetAddress` | `endpoint`
`Range` | `range`
`java.lang.String` | `sessionid`

Constructor Summary
`AntiEntropyService.TreeRequest(java.lang.String sessionid, java.net.InetAddress endpoint, Range range, org.apache.cassandra.service.AntiEntropyService.CFPair cf)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sessionid

    public final java.lang.String sessionid

### endpoint

    public final java.net.InetAddress endpoint

### range

    public final Range range

### cf

    public final org.apache.cassandra.service.AntiEntropyService.CFPair cf

Constructor Detail

### AntiEntropyService.TreeRequest

    public AntiEntropyService.TreeRequest(java.lang.String sessionid,
                                          java.net.InetAddress endpoint,
                                          Range range,
                                          org.apache.cassandra.service.AntiEntropyService.CFPair cf)

Method Detail

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation